Bug 619879 - Should gracefully catch backtrace when git is missing
Should gracefully catch backtrace when git is missing
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fedora-packager (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-30 14:47 EDT by Henrik Nordström
Modified: 2013-01-10 01:06 EST (History)
4 users (show)

See Also:
Fixed In Version: fedora-packager-0.5.1.2-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-17 01:36:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Henrik Nordström 2010-07-30 14:47:43 EDT
Description of problem:

If git is missing for some reason then the user gets a quite ugly backtrace not even hinting that the actual problem is git missing.

Version-Release number of selected component (if applicable):

fedora-packager-0.5.1.0-1.fc13.noarch
GitPython-0.2.0-0.1.beta1.fc13.noarch

How reproducible:

always

Steps to Reproduce:
1. Install fedora-packager without installing git
2. fedpkg co squid
3.
  
Actual results:

Python backtrace.

Expected results:

Descriptive error message explaining what happened.

Additional info:


$ fedpkg co squid
Traceback (most recent call last):
  File "/usr/bin/fedpkg", line 959, in <module>
    args.command(args)
  File "/usr/bin/fedpkg", line 409, in clone
    pyfedpkg.clone(args.module[0], args.user, args.path, args.branch)
  File "/usr/lib/python2.6/site-packages/pyfedpkg/__init__.py", line 302, in clone
    _run_command(cmd)
  File "/usr/lib/python2.6/site-packages/pyfedpkg/__init__.py", line 115, in _run_command
    stderr=sys.stderr, shell=shell)
  File "/usr/lib64/python2.6/subprocess.py", line 483, in check_call
    retcode = call(*popenargs, **kwargs)
  File "/usr/lib64/python2.6/subprocess.py", line 470, in call
    return Popen(*popenargs, **kwargs).wait()
  File "/usr/lib64/python2.6/subprocess.py", line 621, in __init__
    errread, errwrite)
  File "/usr/lib64/python2.6/subprocess.py", line 1126, in _execute_child
    raise child_exception
OSError: [Errno 2] No such file or directory


See also Bug #619763.
Comment 1 Hans Ulrich Niedermann 2010-08-07 04:38:42 EDT
Is there any use case for installing fedpkg without git being installed?

I cannot think of one, so I would suggest to have the RPM package to

    Require: git
Comment 2 Jesse Keating 2010-08-12 02:20:06 EDT
That's handled in a different bug.  The fix here is to actually expand what errors we except when calling subprocess to include OSError.  So this is a generic fix for a specific (non)problem.  Fix committed and will be in the next build.
Comment 3 Fedora Update System 2010-08-12 15:52:54 EDT
python-kitchen-0.2-0.1.a2.el5,fedora-packager-0.5.1.2-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/python-kitchen-0.2-0.1.a2.el5,fedora-packager-0.5.1.2-1.el5
Comment 4 Fedora Update System 2010-08-12 15:56:33 EDT
fedora-packager-0.5.1.2-1.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/fedora-packager-0.5.1.2-1.fc14
Comment 5 Fedora Update System 2010-08-12 16:01:02 EDT
fedora-packager-0.5.1.2-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/fedora-packager-0.5.1.2-1.fc13
Comment 6 Fedora Update System 2010-08-12 16:06:55 EDT
fedora-packager-0.5.1.2-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/fedora-packager-0.5.1.2-1.fc12
Comment 7 Fedora Update System 2010-08-13 17:05:54 EDT
fedora-packager-0.5.1.2-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-packager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/fedora-packager-0.5.1.2-2.fc13
Comment 8 Fedora Update System 2010-08-13 18:38:30 EDT
fedora-packager-0.5.1.2-2.el5, python-kitchen-0.2-0.1.a2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-packager python-kitchen'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python-kitchen-0.2-0.1.a2.el5,fedora-packager-0.5.1.2-2.el5
Comment 9 Fedora Update System 2010-08-17 01:35:23 EDT
fedora-packager-0.5.1.2-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2010-08-24 17:08:39 EDT
fedora-packager-0.5.1.2-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2010-08-24 19:03:08 EDT
fedora-packager-0.5.1.2-2.el5, python-kitchen-0.2-0.1.a2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2010-08-24 21:18:54 EDT
fedora-packager-0.5.1.2-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.